<script setup lang="ts">
import { onMounted } from 'vue'
import { useProfileStore } from '../stores/profile'
import LoadingDialog from '@/components/LoadingDialog.vue'
import CustomerProfile from '@/views/Profile/components/CustomerProfile.vue'
import EmployeeProfile from '@/views/Profile/components/EmployeeProfile.vue'
import { useAuthStore } from '@/stores/auth'

const profileStore = useProfileStore()
const auth = useAuthStore()

onMounted(() => {
  profileStore.openProfile()
})
</script>
<template>
  <v-app>
    <CustomerProfile v-if="auth.isCustomer()"></CustomerProfile>
    <EmployeeProfile v-else></EmployeeProfile>
  </v-app>
  <LoadingDialog></LoadingDialog>
</template>

<style scoped>
.v-custom-card {
  border: 2px solid transparent;
  backdrop-filter: blur(10px);
  background: rgba(255, 255, 255, 0.5);
}

.transparent-card {
  background: rgba(0, 0, 0, 0.9);
}

.avatar {
  width: 150px;
  height: 150px;
  border: 1px;
  margin: 10px;
}
</style>
